/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Flow Quantification
 */
public enum EnumCV_FlowQuantification {
	
	//TID 3910. Flow Quantification
	FINDINGS_121070("121070"),
	ANALYSIS_PERFORMED_111004("111004"),
	FLOW_QUANTIFICATION_122604("122604"),
	START_TIME_G_D321("G-D321"),
	STOP_TIME_G_D320("G-D320"),
	VELOCITY_ENCODING_MINIMUM_VALUE_122642("122642"),
	VELOCITY_ENCODING_MAXIMUM_VALUE_122643("122643"),
	MEASUREMENT_GROUP_125007("125007"),
	FINDING_SITE_G_C0E3("G-C0E3");

	private String value;

	EnumCV_FlowQuantification(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
